Package org.h2.build.indexer

# Class Indexer

java.lang.Object
org.h2.build.indexer.Indexer

public class Indexer extends Object
The indexer creates the fulltext index of the HTML documentation. It is used for the built-in HTML javascript search.

## Constructor Summary

Constructors
Constructor
Description
`Indexer()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String... args)`
This method is called when executing this application from the command line.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Indexer

public Indexer()

## Method Details

### main

public static void main(String... args) throws Exception
This method is called when executing this application from the command line.

Parameters:
  `args` - the command line parameters
Throws:
  `Exception` - on failure